Subject: Re: [PATCH v2] asciidoctor: fix `synopsis` rendering

From: Junio C Hamano <[email-masked]>
Date: Tue, 23 Jul 2024 09:43:14 -0700

Johannes Schindelin <[email-masked]> writes:

> Hmm. This adds a "template" for no other reason than to appease the rule
> that all `.html` files in `Documentation/` _must_ be generated. Typically,
> templates are only added if anything in them needs to be interpolated to
> reflect the particular build, which is not the case here.

Consider that we leave the door open for future enhancements (like,
lose the conditional compilation and instead make it an empty file
when AsciiDoc and not asciidoctor is in use).

> Have you considered one of these alternatives?

No, because I am not interested in anything more elaborate a few
days before tagging -rc2.  If this is not meant for the upcoming
release, then I am all ears (and eyes), but otherwise, let's just do
the simplest and the most obvious thing to unbreak users for the
upcoming release and leave a more elaborate engineering to next
cycle.

Jean-Noël is planning to undo the overly elaborate mark-up and that
may eliminate the need to work around "<code> in <pre> is made into
a block element" behaviour of default asciidoctor style in the first
place, so the longer term plan should take that into account as well.

Thanks.